%define upstream_name    Dist-Zilla-Plugin-MakeMaker-SkipInstall
%define upstream_version 1.201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Skip the install rule of MakeMaker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.920.0
BuildArch:  noarch

%description
This small plugin will edit the 'Makefile.PL' file, and override the
install target to become a no-op.

This will make your module fail the install phase. It will be built, and
tested but will never be installed.

The most common use for this technique is for Task modules.
Without a proper install phase, you can install your Task module repeatedly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.201.0-6.mga10
+ Revision: 2203632
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.201.0-5.mga9
+ Revision: 1808954
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.201.0-4.mga8
+ Revision: 1504083
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.201.0-3.mga7
+ Revision: 1283025
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.201.0-2.mga7
+ Revision: 1164227
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.201.0-1.mga7
+ Revision: 1157576
- update to 1.201

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1026307
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 948273
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 745637
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 511127
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 366258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 84292
- update to 1.100

* Thu Mar 17 2011 jquelin <jquelin> 1.2.0-2.mga1
+ Revision: 73113
- fix to match dizl4 api
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MakeMaker-SkipInstall

